package projects.SetFlooding.nodes.messages;


import java.util.HashMap;

import projects.defaultProject.nodes.messages.Msg;

public class Data extends Msg {
	public HashMap<Integer,Integer> H;
	
@SuppressWarnings("unchecked")
public Data(HashMap<Integer,Integer> H){
	this.H=(HashMap<Integer,Integer>) H.clone();
}

public Data clone() {
	return new Data(this.H);
}

	
}
